// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        videoPanel:{
            default:null,
            type:cc.VideoPlayer
        },
        
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        console.log("-------------onLoad-------------");

        
        //videoPanel.style.zIndex = 1;
    },

    start () {
        console.log("-------------start-------------");

        let video0 = document.getElementsByClassName('cocosVideo')[0];
        console.log(video0);
        video0.style.zIndex = 5;

        let gCanvas = document.getElementsByClassName('gameCanvas')[0];
        console.log(gCanvas);
        gCanvas.style.position = 'relative';
        gCanvas.style.zIndex = 10;


        cc.Camera.main.backgroundColor = cc.color(0, 0, 0, 0);
        


        this.videoPanel.keepAspectRatio = false;
    },

    update (dt) {
        //console.log("-------------update-------------");
    },

    clickBack:function(){
        console.log("-------------clickBack-------------");
        cc.director.loadScene('menu');
    },

    clickPlay:function(){
        console.log("-------------clickPlay-------------");
        this.videoPanel.play();
        //this.videoPanel.isFullscreen = true;
        //this.videoPanel.keepAspectRatio = false;
    },

    clickPause:function(){
        console.log("-------------clickPause-------------");
        this.videoPanel.pause();
        //this.videoPanel.keepAspectRatio = true;
    },

    clickStop:function(){
        console.log("-------------clickStop-------------");
        this.videoPanel.stop();
    },
});
