(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/script/game.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'ddd19XDOKhKmbC7MZs980vH', 'game', __filename);
// script/game.js

"use strict";

// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        videoPanel: {
            default: null,
            type: cc.VideoPlayer
        }

    },

    // LIFE-CYCLE CALLBACKS:

    onLoad: function onLoad() {
        console.log("-------------onLoad-------------");

        //videoPanel.style.zIndex = 1;
    },
    start: function start() {
        console.log("-------------start-------------");

        var video0 = document.getElementsByClassName('cocosVideo')[0];
        console.log(video0);
        video0.style.zIndex = 5;

        var gCanvas = document.getElementsByClassName('gameCanvas')[0];
        console.log(gCanvas);
        gCanvas.style.position = 'relative';
        gCanvas.style.zIndex = 10;

        cc.Camera.main.backgroundColor = cc.color(0, 0, 0, 0);

        this.videoPanel.keepAspectRatio = false;
    },
    update: function update(dt) {
        //console.log("-------------update-------------");
    },


    clickBack: function clickBack() {
        console.log("-------------clickBack-------------");
        cc.director.loadScene('menu');
    },

    clickPlay: function clickPlay() {
        console.log("-------------clickPlay-------------");
        this.videoPanel.play();
        //this.videoPanel.isFullscreen = true;
        //this.videoPanel.keepAspectRatio = false;
    },

    clickPause: function clickPause() {
        console.log("-------------clickPause-------------");
        this.videoPanel.pause();
        //this.videoPanel.keepAspectRatio = true;
    },

    clickStop: function clickStop() {
        console.log("-------------clickStop-------------");
        this.videoPanel.stop();
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=game.js.map
        